<?php

namespace App\Services\PwHexParser\Types;

use App\Services\PwHexParser\Contracts\Translate;

class Potion extends Translate
{
    protected string $typeKey = 'Potion';

    public function getStructure(): array
    {
        return [
            'amount' => 'int64',
            'time' => 'int64',
            'recharge_time' => 'int64',
            'level' => 'int64',
        ];
    }

    public function getMinimumLength(): int
    {
        return 32;
    }
}